# IceGrid::UserAccountMapper

## Overview

### interface UserAccountMapper

A user account mapper object is used by IceGrid nodes to map session identifiers to user accounts.

## Operations

### string getUserAccount(string user) throws UserAccountNotFoundException

Get the name of the user account for the given user. This is used by IceGrid nodes to figure out the user account to use to run servers.

#### Parameters

user
  The value of the server descriptor's `user` attribute. If this attribute is not defined, and the server's activation mode is `session`, the default value of `user` is the session identifier.

#### Return Value

The user account name.

#### Exceptions

UserAccountNotFoundException
  Raised if no user account is found for the given user.